org.eclnt.jsfserver.elements.componentnodes

## Class GRIDHEADERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.GRIDHEADERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class GRIDHEADERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GRIDHEADERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GRIDHEADERNode` | `bindAvoidexport(IDynamicContentBindingObject value)`
    `GRIDHEADERNode` | `bindComment(IDynamicContentBindingObject value)`
    `GRIDHEADERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `GRIDHEADERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `GRIDHEADERNode` | `bindRowheight(IDynamicContentBindingObject value)`
    `GRIDHEADERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `GRIDHEADERNode` | `setAttributemacro(java.lang.String value)`
    `GRIDHEADERNode` | `setAvoidexport(boolean value)`
    `GRIDHEADERNode` | `setAvoidexport(java.lang.String value)`
    `GRIDHEADERNode` | `setComment(java.lang.String value)`
    `GRIDHEADERNode` | `setComponentbinding(java.lang.String value)`
    `GRIDHEADERNode` | `setConfiginfo(java.lang.String value)`
    `GRIDHEADERNode` | `setId(java.lang.String value)`
    `GRIDHEADERNode` | `setReference(java.lang.String value)`
    `GRIDHEADERNode` | `setRendered(boolean value)`
    `GRIDHEADERNode` | `setRendered(java.lang.String value)`
    `GRIDHEADERNode` | `setRowheight(int value)`
    `GRIDHEADERNode` | `setRowheight(java.lang.String value)`
    `GRIDHEADERNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GRIDHEADERNode

          public GRIDHEADERNode()

  - ### Method Detail

    - #### setId

          public GRIDHEADERNode setId(java.lang.String value)

    - #### setAttributemacro

          public GRIDHEADERNode setAttributemacro(java.lang.String value)

    - #### setAvoidexport

          public GRIDHEADERNode setAvoidexport(java.lang.String value)

    - #### bindAvoidexport

          public GRIDHEADERNode bindAvoidexport(IDynamicContentBindingObject value)

    - #### setAvoidexport

          public GRIDHEADERNode setAvoidexport(boolean value)

    - #### setComment

          public GRIDHEADERNode setComment(java.lang.String value)

    - #### bindComment

          public GRIDHEADERNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public GRIDHEADERNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public GRIDHEADERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public GRIDHEADERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public GRIDHEADERNode setReference(java.lang.String value)

    - #### setRendered

          public GRIDHEADERNode setRendered(java.lang.String value)

    - #### bindRendered

          public GRIDHEADERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public GRIDHEADERNode setRendered(boolean value)

    - #### setRowheight

          public GRIDHEADERNode setRowheight(java.lang.String value)

    - #### bindRowheight

          public GRIDHEADERNode bindRowheight(IDynamicContentBindingObject value)

    - #### setRowheight

          public GRIDHEADERNode setRowheight(int value)

    - #### setStylevariant

          public GRIDHEADERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public GRIDHEADERNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.